Page MenuHomePhabricator

Add throttle exception for Wikimedia hackathon 2019 in Prague
Closed, ResolvedPublic

Description

Not sure if this is really necessary, but Handbook for Hackathon say so

ticket for last year was here: https://phabricator.wikimedia.org/T194392

More details may need to be provided, but right now this is blocked by the fact we don't know the public IP's yet.

Event Timeline

Petrb created this task.Jan 15 2019, 8:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2019, 8:57 PM
Urbanecm triaged this task as Low priority.Jan 15 2019, 9:28 PM
Urbanecm added a subscriber: Urbanecm.

Honestly, I think this isn't necessary. The throttle exception lifts the limit of accounts that can be created from one IP address within 24 hours (defaults to 6). Do we expect many new accounts? If so, this is needed. If not so, we can close this as Invalid/Declined.

Also, in case of an emergency need, this can be easily bypassed by someone who's sysop/accountcreator on at least one wiki. Plenty of people have those rights, and it'll be easy to create accounts if we need them. Also, at a place like Hackathon, it'd be easy to get someone to deploy the throttle rule immediately in case of extreme need.

Please note that this exception DOES NOT affect anything else than account creation. It doesn't drop/raise newbie limits, rate limits or anything else.

Reedy changed the task status from Open to Stalled.Jan 16 2019, 12:57 PM
Reedy added a subscriber: Reedy.

We'll have a better idea when we go through registrations

Honestly, I think this isn't necessary. The throttle exception lifts the limit of accounts that can be created from one IP address within 24 hours (defaults to 6). Do we expect many new accounts? If so, this is needed. If not so, we can close this as Invalid/Declined.

Though I'm pretty sure we've had problems with this on previous hackathons anyway

Petrb added a comment.Jan 17 2019, 1:54 PM

if the limit is really as low as 6 accounts per day, then I am fairly sure there will be more registrations per day on hackthon. Keep in mind that there will be many attendants who are not really active in Wikimedia community, we have them every year. People from other companies or projects who just want to share tech skills or knowledge, most of these people probably don't have account now and might want to create it for various reasons. Also lot of devs might create new temp or bot accounts for testing etc.

So in case limit is only 6 accounts per day and this isn't something that can be sorted out in 10 minutes on the fly, I think it's better to be prepared and lift this limit for hackathon's GW public IP's. Dealing with this on site could be a little bit embarrasing.

If this task isn't too complicated to setup, I would do it. Just to be safe.

Petrb raised the priority of this task from Low to Normal.Jan 17 2019, 1:57 PM
Urbanecm lowered the priority of this task from Normal to Low.Jan 17 2019, 2:32 PM

Okay, not opposing. Changing priority back, per https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests, normal means it is needed in this or next SWAT week (in 10 days roughly). We really don't need this in 10 days, in fact, I'm not sure if we will be able to process it in 10 days due to need of the IP(s).

This is as easy to do as to add few rows to a config file.

Urbanecm claimed this task.Mar 25 2019, 5:02 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMar 25 2019, 5:02 PM

Change 498949 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Throttle rule for Wikimedia Hackathon 2019

https://gerrit.wikimedia.org/r/498949

Urbanecm changed the task status from Stalled to Open.Mar 25 2019, 5:22 PM

Change 498949 merged by jenkins-bot:
[operations/mediawiki-config@master] Throttle rule for Wikimedia Hackathon 2019

https://gerrit.wikimedia.org/r/498949

Mentioned in SAL (#wikimedia-operations) [2019-03-26T11:11:37Z] <ladsgroup@deploy1001> Synchronized wmf-config/throttle.php: SWAT: [[gerrit:498949|Throttle rule for Wikimedia Hackathon 2019 (T213869)]] (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2019-03-26T11:20:37Z] <ladsgroup@deploy1001> Synchronized wmf-config/throttle.php: SWAT: [[gerrit:498949|Throttle rule for Wikimedia Hackathon 2019 (T213869)]], try II (duration: 00m 49s)

Urbanecm closed this task as Resolved.Mar 26 2019, 3:56 PM

Rule is ready.